#region Using

using System.Collections.Generic;
using Wisej.Web;

#endregion

namespace Test
{
    public partial class FormTestList : Form
    {

        private BindingSource BS { get; set; }
        public FormTestList()
        {
            InitializeComponent();

            NotWorking();
        }

        public void NotWorking()
        {
            BS = new BindingSource();
            BS.DataSource = typeof(VM);
            dgvTable.DataSource = BS;

            BS.Add(new VM { Column0 = "Z0", Column1 = "A1", Column2 = "A2" });
            BS.Add(new VM { Column0 = "Y0", Column1 = "B1", Column2 = "B2" });
            BS.Add(new VM { Column0 = "X0", Column1 = "C1", Column2 = "C2" });
            BS.Add(new VM { Column0 = "W0", Column1 = "D1", Column2 = "D2" });

            AlertBox.Show($"BS.SupportsSorting: { BS.SupportsSorting }, BS.SupportsAdvancedSorting: { BS.SupportsAdvancedSorting }");

        }

        public void Working()
        {

            List<VM> list = new List<VM>();
            list.Add(new VM { Column0 = "Z0", Column1 = "A1", Column2 = "A2" });
            list.Add(new VM { Column0 = "Y0", Column1 = "B1", Column2 = "B2" });
            list.Add(new VM { Column0 = "X0", Column1 = "C1", Column2 = "C2" });
            list.Add(new VM { Column0 = "W0", Column1 = "D1", Column2 = "D2" });

            dgvTable.DataSource = list;

        }
    }

    public class VM
    {
        public string Column0 { get; set; }
        public string Column1 { get; set; }
        public string Column2 { get; set; }
    }
}
